#include "qtempmax.h"
#include <QDebug>

QTempMax::QTempMax(QObject *parent) :
    QThread(parent)
{
    nID = 0;
    bEnMarxa = true;
}

QTempMax::QTempMax(QObject *parent,int n) :
    QThread(parent)
{
    nID = n;
    bEnMarxa = true;
}

QTempMax::QTempMax(QObject *parent,int n,QMutex *pM) :
    QThread(parent)
{
    nID = n;
    bEnMarxa = true;
    mutex = pM;
}

void QTempMax::run(){
    while(bEnMarxa){
        mutex->lock();
        if(!bEnMarxa){
            mutex->unlock();
            return;
        }
        qDebug() << "Fil : " << QString::number(nID).toLatin1();
        mutex->unlock();
        sleep(1);
    }

}

void QTempMax::vAturaFils(){
    bEnMarxa = false;
}
